# DL_BasePrecomputation_LUC Class Reference

`#include <luc.h>`

Inheritance diagram for DL_BasePrecomputation_LUC:

List of all members.

## Detailed Description

_

Definition at line 131 of file luc.h.

## Public Types
typedef T | Element
## Public Member Functions
bool | IsInitialized () const
void | SetBase (const DL_GroupPrecomputation< Element > &group, const Integer &base)
const Integer & | GetBase (const DL_GroupPrecomputation< Element > &group) const
void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)
void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)
void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const
Integer | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const
Integer | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Integer > &pc2, const Integer &exponent2) const
virtual void | SetBase (const DL_GroupPrecomputation< Element > &group, const Element &base)=0
virtual const Element & | GetBase (const DL_GroupPrecomputation< Element > &group) const =0
virtual void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)=0
virtual void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)=0
virtual void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const =0
virtual Element | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const =0
virtual Element | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Element > &pc2, const Integer &exponent2) const =0

The documentation for this class was generated from the following files:

- luc.h
- luc.cpp